<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Homework Task 1</title>
  <script src="Task1.js"></script>
  <style>
    label input:valid {
      border: 2px solid green;
    }
    label input:invalid {
      border: 1px solid red;
    }
    input[type=checkbox]:required {
      margin-left: 7px;
    }
    input[type=checkbox]:required:after {
      content: '*';
      color: red;
      margin-left: -10px;
    }
  </style>
</head>
<body>
  <form id="ValidationForm">
    <div class="user-data">
      <label>
        <span>Имя пользователя</span>
        <input type="text" name="username" required minlength="2" />
      </label>
      <label>
        <span>Email</span>
        <input type="email" name="email" required minlength="3"/>
      </label>
      <label>
        <span>Пароль</span>
        <input type="password" name="pass" required minlength="8" maxlength="16"/>
      </label>
    </div>
    <div class="apple-data">
      <label>
        <span>Количество сьеденых яблок</span>
        <input type="number" name="appleNum" required minlength="1"/>
      </label>
      <label>
        <span>Напиши спасибо за яблоки</span>
        <input type="text" name="thanks" required/>
      </label>
    </div>
    <div class="terms">
      <label>
        <span>Согласен на обучение</span>
        <input type="checkbox" name="agree" required/>
      </label>
    </div>
    <div class="actions">
      <button id="validate">Проверить</button>
      <input type="submit" id="submit" value="Отправить"/>
    </div>
    <div id="result"></div>
  </form>
</body>
</html>
